Subject: Re: [PATCH 2/3] drm: Split drm_map and drm_local_map

From: Eric Anholt <[email-masked]>
Date: Mon, 02 Feb 2009 12:57:27 -0800

On Mon, 2009-02-02 at 16:55 +1100, Benjamin Herrenschmidt wrote:
> Once upon a time, the DRM made the distinction between the drm_map
> data structure exchanged with user space and the drm_local_map used
> in the kernel.
> 
> For some reasons, while the BSD port still has that "feature", the
> linux part abused drm_map for kernel internal usage as the local
> map only existed as a typedef of the struct drm_map.
> 
> This patch fixes it by declaring struct drm_local_map separately
> (though its content is currently identical to the userspace variant),
> and changing the kernel code to only use that, except when it's a
> user<->kernel interface (ie. ioctl).
> 
> This allows subsequent changes to the in-kernel format
> 
> I've also replaced the use of drm_local_map_t with struct drm_local_map
> in a couple of places. Mostly by accident but they are the same (the
> former is a typedef of the later) and I have some remote plans and
> half finished patch to completely kill the drm_local_map_t typedef
> so I left those bits in.
> 
> Signed-off-by: Benjamin Herrenschmidt <[email-masked]>

Thanks for taking on this mess!

Acked-by: Eric Anholt <[email-masked]>

-- 
Eric Anholt
[email-masked]                         [email-masked]